﻿using OASystem.Domain.Dtos.SmallFun;
using OASystem.Domain.ViewModels.JuHeExchangeRate;

namespace OASystem.API.OAMethodLib.JuHeAPI
{
    /// <summary>
    /// 聚合Api 服务
    /// </summary>
    public interface IJuHeApiService
    {
        /// <summary>
        /// 获取汇率
        /// </summary>
        /// <returns></returns>
        Task<JuHeAPIResult> GetExchangeRateAsync();

        /// <summary>
        /// 获取汇率 Single
        /// </summary>
        /// <param name="currencyCode">币种code</param>
        /// <returns></returns>
        Task<Result> GetSingleRateAsync(string currencyCode);

        /// <summary>
        /// 获取汇率转换结果
        /// </summary>
        /// <returns></returns>
        Task<Result> GetExchangeRateAsync(ExchangeRateDto dto);
    }
}
