﻿using AutoMapper.Execution;
using Org.BouncyCastle.Asn1.Ocsp;
using Org.BouncyCastle.Asn1.X9;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static Google.Protobuf.Reflection.SourceCodeInfo.Types;

namespace OASystem.Domain.Dtos.CRM
{
    public class NewClientDataQueryDto:DtoBase
    {
        /// <summary>
        /// 联系人
        /// </summary>
        public string Contact { get; set; }
        /// <summary>
        /// 地区
        /// </summary>
        public string Location { get; set; }
        /// <summary>
        /// 单位
        /// </summary>
        public string Client { get; set; }

        /// <summary>
        /// 负责人
        /// </summary>
        public string Userid { get; set; }
        /// <summary>
        /// 客户级别(地市州)
        /// </summary>
        public int Lvlid { get; set; }

        /// <summary>
        /// 业务分类
        /// </summary>
        public string Business { get; set; }

        /// <summary>
        /// 省域
        /// </summary>
        public int Range { get; set; }

        /// <summary>
        /// 客户类别
        /// </summary>
        public int Category { get; set; }

    }
    public class NewClientOpDto
    {
        /// <summary>
        /// 操作状态
        /// 1 添加 
        /// 2 修改 
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 序号
        /// </summary>
        public int Number { get; set; }

        /// <summary>
        /// 地市州Id
        /// </summary>
        public int Lvlid { get; set; }

        /// <summary>
        /// 客户单位
        /// </summary>
        public string Client { get; set; }

        /// <summary>
        /// 权重
        /// </summary>
        public string Weight { get; set; }

        /// <summary>
        /// 客户单位简写
        /// </summary>
        public string Clientshort { get; set; }

        /// <summary>
        /// 联系人
        /// </summary>
        public string Contact { get; set; }

        /// <summary>
        /// 联系人性别
        /// </summary>
        public int Gender { get; set; }

        /// <summary>
        /// 护照
        /// </summary>
        public string Passport { get; set; }

        /// <summary>
        /// 护照日期
        /// </summary>
        public DateTime? PassportDate { get; set; }

        /// <summary>
        /// 职位
        /// </summary>
        public string Job { get; set; }

        /// <summary>
        /// 联系手机号
        /// </summary>
        public string Telephone { get; set; }

        /// <summary>
        /// 联系座机号
        /// </summary>
        public string Phone { get; set; }

        /// <summary>
        /// 邮件
        /// </summary>
        public string Email { get; set; }

        /// <summary>
        /// 所属区域(所在城市)
        /// </summary>
        public string Location { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        public string Address { get; set; }

        /// <summary>
        /// 生日
        /// </summary>
        public string Birthday { get; set; }

        /// <summary>
        /// 其他信息
        /// </summary>
        public string Otherinfo { get; set; }

        /// <summary>
        /// 微信
        /// </summary>
        public string Wechat { get; set; }

        /// <summary>
        /// 分类
        /// </summary>
        public int Category { get; set; }

        /// <summary>
        /// 预计出团
        /// </summary>
        public int Predele { get; set; }

        /// <summary>
        /// 已出团
        /// </summary>
        public int FinlishedDele { get; set; }
        /// <summary>
        /// 创建者Id
        /// </summary>
        public int CreateUserId { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }

    }
}
