﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Tencent
{
    /// <summary>
    /// TencentOCR ID证件识别 
    /// </summary>
    public class IDCardOCRDto:DtoBase
    {
        public int UserId { get; set; }

        /// <summary>
        /// 语言
        /// ch 中文
        /// en 英文
        /// </summary>
        public string Language { get; set; }

        /// <summary>
        /// 图片的 Base64 值。要求图片经Base64编码后不超过 7M，分辨率建议500*800以上，支持PNG、JPG、JPEG、BMP格式。建议卡片部分占据图片2/3以上。
        /// </summary>
        public string picBase64 { get; set; }

        /// <summary>
        /// 0 FRONT：身份证有照片的一面（人像面）
        /// 1 BACK：身份证有国徽的一面（国徽面）
        ///   该参数如果不填，将为您自动判断身份证正反面。
        /// </summary>
        public int CardSide { get; set; }

    }
}
