﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Financial
{
    /// <summary>
    /// 日常费用付款申请
    /// </summary>
    [SugarTable("Fin_DailyFeePayment")]
    public class Fin_DailyFeePayment: EntityBase
    {
        /// <summary>
        /// 申请说明
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "varchar(200)")]
        public string? Instructions { get; set; }

        /// <summary>
        /// 合计
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "decimal(18,2)")]
        public decimal SumPrice { get; set; }

        /// <summary>
        /// 总经理审核
        /// 0 未审核 1 审核通过 2 审核未通过
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int MAudit { get; set; }

        /// <summary>
        /// 总经理审核时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime MAuditDate { get; set; }

        /// <summary>
        /// 财务主管审核
        /// 0 未审核 1 审核通过 2 审核未通过
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "int")]
        public int FAudit { get; set; }

        /// <summary>
        /// 财务主管审核时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime FAuditDate { get; set; }

        /// <summary>
        /// 是否已付款
        /// 0 否 1 是
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsPay { get; set; }

        /// <summary>
        /// 转账表识Id  存储SetDataId
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")] 
        public int TransferTypeId { get; set; }

        /// <summary>
        /// 费用类型Id  存储SetDataId
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int PriceTypeId { get; set; }

        /// <summary>
        /// 公司Id 
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")] 
        public int CompanyId { get; set; }
    }
}
