﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Financial
{
    /// <summary>
    /// 日常费用付款申请
    /// </summary>
    [SugarTable("Fin_DailyFeePaymentContent")]
    public class Fin_DailyFeePaymentContent : EntityBase
    {
        /// <summary>
        /// 日常费用付款申请外键编号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DFPId { get; set; }

        /// <summary>
        /// 费用名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string? PriceName { get; set; }

        /// <summary>
        /// 数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Quantity { get; set; }

        /// <summary>
        /// 单价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal Price { get; set; }

        /// <summary>
        /// 单项费用合计
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal ItemTotal { get; set; }

        
    }
}
