﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.TencentOCR
{
    /// <summary>
    /// ocr 枚举类型
    /// </summary>
    public enum TencentOCREnum
    {
        /* OCR存储文件路径
         * **************************************
         * 身份证识别 OCR/IDCard
         * 户口本识别 OCR/ResidenceBooklet
         * 营业执照识别 OCR/BizLicense
         * 组织机构代码证识别 OCR/OrgCodeCert
         * 行驶证识别 OCR/VehicleLicense
         * 房产证识别 OCR/PropOwnerCert
         * 通用印刷体识别 OCR/GeneralAccurate
         ***************************************
         */
        /// <summary>
        /// 身份证识别
        /// </summary>
        IDCard = 0,
        /// <summary>
        /// 户口本识别
        /// </summary>
        ResidenceBooklet=1,
        /// <summary>
        /// 营业执照识别
        /// </summary>
        BizLicense,
        /// <summary>
        /// 组织机构代码证识别
        /// </summary>
        OrgCodeCert,
        /// <summary>
        /// 行驶证识别
        /// </summary>
        VehicleLicense,
        /// <summary>
        /// 房产证识别
        /// </summary>
        PropOwnerCert,
        /// <summary>
        /// 通用印刷体识别
        /// </summary>
        GeneralBasic,
        /// <summary>
        /// 护照识别（中国大陆地区护照）
        /// </summary>
        Passport,
        /// <summary>
        /// 护照识别（港澳台地区及境外护照）
        /// </summary>
        MLIDPassport,
        /// <summary>
        /// 名片识别
        /// </summary>
        BusinessCard
    }
}
