﻿using OASystem.Domain.ViewModels.Resource;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Business
{
    public class Bus_ConfItemListView
    {
        public decimal TotalCost { get; set; }
        public List<Bus_ConfItemView> ItemList { get; set; }
    }

    public class Bus_ConfItemView
    {
        public int Id { get; set; }
        public int ItemId { get; set; }
        public string ItemName { get; set; }
        public int Count { get; set; }
        public decimal CurrCost { get; set; }
        public string OpRemark { get; set; }
    }

    #region 可选物料列表

    public class OptionalBusRangeView
    {
        public int SdId { get; set; }
        public string SdName { get; set; }
        public List<OptionalItemTypeView> ItemTypeList { get; set; }
    }

    public class OptionalItemTypeView
    {
        /// <summary>
        /// 物料类型编号
        /// </summary>
        public int ItemTypeId { get; set; }

        /// <summary>
        /// 物料类型名称
        /// </summary>
        public string ItemTypeName { get; set; }

        /// <summary>
        /// 物料列表
        /// </summary>
        public List<Res_ItemInfoView> ItemList { get; set; }
    }

    #endregion


    #region Excel

    public class Bus_ConfItemExportView
    {
        public int RowNumber { get; set; }
        public string VendorName { get; set; }
        public string ItemName { get; set; }
        public string ItemTypeName { get; set; }
        public string Specs { get; set; }
        public int Count { get; set; }
        public decimal Price { get; set; }
        public decimal TotalPrice
        {
            get
            {
                return this.Count * this.Price;
            }
        }
        public string ItemRemark { get; set; }
    }

    #endregion
}
