﻿using OASystem.Domain.Entities.Customer;
using Org.BouncyCastle.Asn1.Ocsp;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.CRM
{
    public class NewClientDataView:Crm_NewClientData
    {
        /// <summary>
        /// 总条数
        /// </summary>
        public int countPage { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        public int RowNumber { get; set; }

        /// <summary>
        /// 客户分类
        /// </summary>
        public string CategoryStr { get; set; }

        /// <summary>
         /// 地市州Id
         /// </summary>
        public string LvlidStr { get; set; }
        /// <summary>
        /// 归属人员
        /// </summary>
        public List<AscribedUser> AscribedUser { get; set; }
        /// <summary>
        /// 归属部门
        /// </summary>
        public List<AscribedDepartment> AscribedDepartment {get; set; }
    }
    /// <summary>
    ///归属人员
    /// </summary>
    public class AscribedUser 
    {
        /// <summary>
        /// 人员Id
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 归属人员姓名
        /// </summary>
        public string CnName { get; set; }
        public int NewClientDataId { get; set; }
    }

    /// <summary>
    ///归属部门
    /// </summary>
    public class AscribedDepartment
    {
        /// <summary>
        /// setData部门部门Id
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 归属部门名称
        /// </summary>
        public string Name { get; set; }
        public int NewClientDataId { get; set; }
    }
}
