﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Resource
{
    #region 物料

    public class Res_ItemInfoView
    {
        

        /// <summary>
        /// 物料Id
        /// </summary>
        public int ItemId { get; set; }

        /// <summary>
        /// 物料名称
        /// </summary>
        public string ItemName { get; set; }

        /// <summary>
        /// 供应商Id
        /// </summary>
        public int VendorId { get; set; }

        /// <summary>
        /// 供应商全称
        /// </summary>
        public string VendorFullName { get; set; }

        /// <summary>
        /// 供应商简称
        /// </summary>
        public string VendorShortName { get; set; }

        /// <summary>
        /// 物料类型Id
        /// </summary>
        public int ItemTypeId { get; set; }

        /// <summary>
        /// 物料类型名称
        /// </summary>
        public string ItemTypeName { get; set; }

        /// <summary>
        /// 物料类型所属SetDataId
        /// </summary>
        public int ItemTypeSetDataId { get; set; }

        /// <summary>
        /// 价格区间(最低)
        /// </summary>
        public decimal MinRate { get; set; }

        /// <summary>
        /// 价格区间(最高)
        /// </summary>
        public decimal MaxRate { get; set; }

        public decimal CurrRate { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }

    }

    public class Res_ItemInfoListView : ListViewBase<Res_ItemInfoView>
    {
    }

    #endregion

    

    #region 供应商

    public class Res_ItemVendorView
    {
        public int Id { get; set; }
        public string BusRange { get; set; }
        public string BusRange_Text { get; set; }
        public string FullName { get; set; }
        public string ShortName { get; set; }
        public string Address { get; set; }
        public string Linker { get; set; }
        public string Job { get; set; }
        public string Mobile { get; set; }
        public string Remark { get; set; }
    }

    public class Res_ItemVendorListView : ListViewBase<Res_ItemVendorView>
    {
    }

    #endregion

}
