﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.TencentOCR
{
    /// <summary>
    /// 身份证 OCR 返回视图
    /// </summary>
    public class IDCardOCRView
    {
        /// <summary>
        /// 是否修改
        /// 签证客户人员信息
        /// </summary>
        public bool Status { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 性别
        /// </summary>
        public string Sex { get; set; }

        /// <summary>
        /// 种族
        /// </summary>
        public string Nation { get; set; }

        /// <summary>
        /// 生日
        /// </summary>
        public string Birth { get; set; }

        /// <summary>
        /// 身份证地址
        /// </summary>
        public string Address { get; set; }

        /// <summary>
        /// 身份证号码
        /// </summary>
        public string IdNum { get; set; }

        /// <summary>
        /// 签发机关
        /// </summary>
        public string Authority { get; set; }

        /// <summary>
        /// 证件有效期
        /// </summary>
        public string ValidDate { get; set; }
    }

    public class IDCardOCRAndDownUrlView : IDCardOCRView
    {
        /// <summary>
        /// 下载文档地址
        /// </summary>
        public string DownUrl { get; set; }
    }
}
